Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.decider.forager
Class DefaultConstructionHeuristicForager

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.constructionheuristic.decider.forager.AbstractConstructionHeuristicForager
                  org.optaplanner.core.impl.constructionheuristic.decider.forager.DefaultConstructionHeuristicForager

All Implemented Interfaces:
  EventListener, ConstructionHeuristicForager, ConstructionHeuristicPhaseLifecycleListener, SolverLifecycleListener

    public class DefaultConstructionHeuristicForager

extends AbstractConstructionHeuristicForager

Field Summary
`protected ConstructionHeuristicMoveScope` | `earlyPickedMoveScope`
`protected ConstructionHeuristicMoveScope` | `maxScoreMoveScope`
`protected ConstructionHeuristicPickEarlyType` | `pickEarlyType`
`protected Comparator<Score>` | `scoreComparator`

Constructor Summary
`DefaultConstructionHeuristicForager(ConstructionHeuristicPickEarlyType pickEarlyType)`

Method Summary
`void` | `addMove(ConstructionHeuristicMoveScope moveScope)`
`protected void` | `checkPickEarly(ConstructionHeuristicMoveScope moveScope)`
`boolean` | `isQuitEarly()`
`ConstructionHeuristicMoveScope` | `pickMove(ConstructionHeuristicStepScope stepScope)`
`void` | `stepEnded(ConstructionHeuristicStepScope stepScope)`
`void` | `stepStarted(ConstructionHeuristicStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListenerAdapter
`phaseEnded, phaseStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListener
`phaseEnded, phaseStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### pickEarlyType

    protected final ConstructionHeuristicPickEarlyType pickEarlyType

### scoreComparator

    protected Comparator<Score> scoreComparator

### earlyPickedMoveScope

    protected ConstructionHeuristicMoveScope earlyPickedMoveScope

### maxScoreMoveScope

    protected ConstructionHeuristicMoveScope maxScoreMoveScope

Constructor Detail

### DefaultConstructionHeuristicForager

    public DefaultConstructionHeuristicForager(ConstructionHeuristicPickEarlyType pickEarlyType)

Method Detail

### stepStarted

    public void stepStarted(ConstructionHeuristicStepScope stepScope)

  Specified by:
    `stepStarted` in interface `ConstructionHeuristicPhaseLifecycleListener`
  Overrides:
    `stepStarted` in class `ConstructionHeuristicPhaseLifecycleListenerAdapter`

### stepEnded

    public void stepEnded(ConstructionHeuristicStepScope stepScope)

  Specified by:
    `stepEnded` in interface `ConstructionHeuristicPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `ConstructionHeuristicPhaseLifecycleListenerAdapter`

### addMove

    public void addMove(ConstructionHeuristicMoveScope moveScope)

### checkPickEarly

    protected void checkPickEarly(ConstructionHeuristicMoveScope moveScope)

### isQuitEarly

    public boolean isQuitEarly()

### pickMove

    public ConstructionHeuristicMoveScope pickMove(ConstructionHeuristicStepScope stepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.